[Unit]
Description=Prometheus Server
Requires=network-online.target
After=network.target

[Service]
Type=simple
User={{ prometheus_user }}
Group={{ prometheus_group }}
ExecStart={{ prometheus_base_dir }}/server/prometheus \
    --config.file={{ prometheus_config_dir }}/prometheus.yml \
    --storage.tsdb.path={{ prometheus_storage_dir }} \
    --storage.tsdb.retention.time=1y \
    --web.external-url={{ prometheus_external_url }}
ExecReload=/bin/kill -s HUP $MAINPID
Restart=on-failure

[Install]
WantedBy=multi-user.target
